#ifndef MARS_MMcCollectionAreaCalc
#define MARS_MMcCollectionAreaCalc

#ifndef MARS_MTask
#include "MTask.h"
#endif

class MParList;
class MMcEvt;
class MMcTrig;
class MHMcCollectionArea;

class MMcCollectionAreaCalc : public MTask
{
private:
    const MMcEvt  *fMcEvt;
    const MMcTrig *fMcTrig;

    MHMcCollectionArea *fCollArea;

    TString fObjName;

public:
    MMcCollectionAreaCalc(const char *input=NULL,
                          const char *name=NULL, const char *title=NULL);

    Bool_t PreProcess(MParList *pList);
    Bool_t Process();
    Bool_t PostProcess();

    ClassDef(MMcCollectionAreaCalc, 0) // Task to calculate the collection area histogram
};

#endif 

